// yourScript.js
import { tns } from "../../node_modules/tiny-slider/src/tiny-slider";

document.addEventListener('DOMContentLoaded', () => {
    const sliders = document.querySelectorAll('.wp-block-fetch-tainacan-api.featured-slider .itens-wrapper');

    sliders.forEach(container => {
        const slider = tns({
            container: container,
            items: 5,
            nav: true,
            controls: true,
            controlsPosition: 'center',
            slideBy: 'page',
            mouseDrag: true,
            autoplay: false,
            autoplayButton: false,
            autoplayButtonOutput: false,
            arrowKeys: true,
            responsive: {
                991: {
                  items: 5
                },
                782: {
                  items: 3
                },
                614: {
                    items: 1
                },
                500: {
                    items: 1
                },
                359: {
                    items: 1
                },
                259: {
                    items: 1
                }

            },

        });
    });
});
