import { __ } from '../../../assets/javascript/i18n';
import React from 'react';

import { categories, language } from '../hooks/globals'

export default function Card ({title, content, meta, estadoscidades, link}) {


    const openPopUp = (e) => {
        if( meta && meta._related_point && meta._related_point[0] ) {

            let JeoMap = window.jeomaps[ window.jeomaps.lastIndex ];
            
            map.flyTo({
                center: [meta._related_point[0]._geocode_lon, meta._related_point[0]._geocode_lat],
                zoom: 6
            });
            setTimeout( () => {
                let mapPopUp = new mapboxgl.Popup()
                .setLngLat([meta._related_point[0]._geocode_lon, meta._related_point[0]._geocode_lat])
                .setHTML( `<article>${title}</article>` )
                .addTo(map);
                    
            }, 1200 )

        }
    }
    return (
        <li>            
            <h4>
                <b>{__('Testimonial: ', 'hacklab-blocks')}</b>
                { title }
            </h4>
            <h4>
                <b>{__('State: ', 'hacklab-blocks')}</b>
                { estadoscidades.estadoscidades_state }
            </h4>
            <h4>
                <b>{__('City: ', 'hacklab-blocks')}</b>
                { estadoscidades.estadoscidades_city }
            </h4>
            <a class="btn-readmore" href={link}>
                {__( 'Read More', 'hacklab-blocks' ) }
            </a>
        </li>
    );
}
