// yourScript.js
import { tns } from "../../node_modules/tiny-slider/src/tiny-slider";

document.addEventListener('DOMContentLoaded', () => {
    const sliders = document.querySelectorAll('.wp-block-fetch-posts.featured-slider .itens-wrapper');

    sliders.forEach(container => {
        const slider = tns({
            container: container,
            items: 1,
            nav: Boolean(container.dataset.dots) ?? false,
            navPosition: 'bottom',
            controls: true,
            controlsPosition: 'center',
            slideBy: 'page',
            mouseDrag: true,
            autoplay: false,
            autoplayButton: false,
            autoplayButtonOutput: false,
            loop: false,
            arrowKeys: true,
            responsive: {
                992: {
                    items: container.dataset.ppp ?? 1
                },
                768: {
                    items: 2
                }
            }
        });
    });
});
