<?php
namespace hacklabBlocks;
/**
 * Featured color render_callback
 */
function post_with_image_callback( $attributes, $content, $block ) {
    $json_attr = json_encode( $block );
    if ( ! isset( $block->context['postId'] ) ) {
        return '';
    }
    $post_id = $block->context['postId'];
    if ( isset( $block->attributes['postId'] ) ) {
        $post_id = $block->attributes['postId'];
    }
    $image_size = 'thumbnail';
    if( isset( $block->attributes[ 'imageSize'] ) ) {
        $image_size = $block->attributes[ 'imageSize'];
    }
    $thumbnail = get_the_post_thumbnail_url( $post_id, $image_size );
    $title = get_the_title( $post_id );
    $href = get_permalink( $post_id );
    if( isset( $_REQUEST[ 'context'] ) && 'edit' === $_REQUEST[ 'context' ] ) {
        $href = '#';
    }

    $html = "
        <a class='wp-block-hacklab-post-image' href='{$href}'>
            <span>
                <h2>{$title}</h2>
            </span>
            <img loading='lazy' src='{$thumbnail}' />
        </a>
    ";


    return $html;

}