<?php

namespace hacklabBlocks;

function register_endpoint_sites() {
	register_rest_route(
		'wp/v2',
		'sites', [
			'callback' => 'hacklabBlocks\\register_endpoint_sites_callback',
			'methods'  => 'GET'
		]
	);
}

add_action( 'rest_api_init', 'hacklabBlocks\\register_endpoint_sites' );

function register_endpoint_sites_callback( \WP_Rest_Request $request ) {
	$args = array(
		'public'    => 1, // I only want the sites marked Public
		'archived'  => 0,
		'mature'    => 0,
		'spam'      => 0,
		'deleted'   => 0,
	  );

	  $sites = \get_sites( $args );
	  return $sites;
}
